## r-cran-markovchain 0.8.5

=== DESCRIPTION ===
Package: markovchain
Type: Package
Title: Easy Handling Discrete Time Markov Chains
Version: 0.8.5-4
Date: 2021-01-07
Authors@R: c(
    person("Giorgio Alfredo", "Spedicato", role = c("aut", "cre"),
      email = "spedicato_giorgio@yahoo.it",comment = c(ORCID = "0000-0002-0315-8888")),
    person("Tae", "Seung Kang", role = "aut"),
    person("Sai", "Bhargav Yalamanchi", role = "aut"),
    person("Mildenberger", "Thoralf", role = "ctb", comment = c(ORCID = "0000-0001-7242-1873")),
    person("Deepak", "Yadav", role = "aut"),
    person("Ignacio", "Cordón", role = "aut", comment = c(ORCID = "0000-0002-3152-0231")),
    person("Vandit", "Jain", role = "ctb"),
    person("Toni", "Giorgino", role="ctb", comment = c(ORCID = "0000-0001-6449-0596")),
    person("Richèl J.C.", "Bilderbeek", role = "ctb", comment = c(ORCID = "0000-0003-1107-7049")),
    person("Daniel", "Ebbert", email = "daniel@ebbert.nrw", role = "ctb", comment = c(ORCID = "0000-0003-3666-7205")),
    person("Shreyash", "Maheshwari", email = "coolshreysh1000@gmail.com", role = "ctb")
  )
Maintainer: Giorgio Alfredo Spedicato <spedicato_giorgio@yahoo.it>
Description: Functions and S4 methods to create and manage discrete time Markov
    chains more easily. In addition functions to perform statistical (fitting
    and drawing random variates) and probabilistic (analysis of their structural
    proprieties) analysis are provided. See Spedicato (2017) <doi:10.32614/RJ-2017-036>.
License: GPL-2
Depends: R (>= 3.6.0), methods
Imports: igraph, Matrix, matlab, expm, stats4, parallel, Rcpp (>=
        1.0.2), RcppParallel, utils, stats, grDevices
Suggests: knitr, testthat, diagram, DiagrammeR, msm, Rsolnp, rmarkdown,
        ctmcd, bookdown, rticles
Enhances: etm
VignetteBuilder: utils, knitr
LinkingTo: Rcpp, RcppParallel, RcppArmadillo (>= 0.9.600.4.0)
SystemRequirements: GNU make
LazyLoad: yes
ByteCompile: yes
Encoding: UTF-8
BugReports: https://github.com/spedygiorgio/markovchain/issues
URL: https://github.com/spedygiorgio/markovchain/
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2021-01-09 15:49:09 UTC; giorgio
Author: Giorgio Alfredo Spedicato [aut, cre]
    (<https://orcid.org/0000-0002-0315-8888>),
  Tae Seung Kang [aut],
  Sai Bhargav Yalamanchi [aut],
  Mildenberger Thoralf [ctb] (<https://orcid.org/0000-0001-7242-1873>),
  Deepak Yadav [aut],
  Ignacio Cordón [aut] (<https://orcid.org/0000-0002-3152-0231>),
  Vandit Jain [ctb],
  Toni Giorgino [ctb] (<https://orcid.org/0000-0001-6449-0596>),
  Richèl J.C. Bilderbeek [ctb] (<https://orcid.org/0000-0003-1107-7049>),
  Daniel Ebbert [ctb] (<https://orcid.org/0000-0003-3666-7205>),
  Shreyash Maheshwari [ctb]
Repository: CRAN
Date/Publication: 2021-01-10 17:10:20 UTC

=== debian/changelog ===
r-cran-markovchain (0.8.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 15:11:06 +0200

r-cran-markovchain (0.8.2-1) unstable; urgency=medium

  * Initial release (closes: #958713)

 -- Steffen Moeller <moeller@debian.org>  Wed, 05 Feb 2020 12:25:48 +0100

=== debian/control ===
Source: r-cran-markovchain
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-igraph,
               r-cran-matrix,
               r-cran-matlab,
               r-cran-expm,
               r-cran-rcpp (>= 1.0.2),
               r-cran-rcppparallel,
               r-cran-rcpparmadillo (>= 0.9.600.4.0),
               libtbb-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-markovchain
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-markovchain.git
Homepage: https://cran.r-project.org/package=markovchain
Rules-Requires-Root: no

Package: r-cran-markovchain
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Easy Handling Discrete Time Markov Chains
 Functions and S4 methods to create and manage discrete time Markov
 chains more easily. In addition functions to perform statistical (fitting
 and drawing random variates) and probabilistic (analysis of their structural
 proprieties) analysis are provided.

## r-cran-markovchain 0.8.5-4

=== debian/changelog ===
r-cran-markovchain (0.8.5-4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 15 Jan 2021 19:27:57 +0530

r-cran-markovchain (0.8.5-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 02 Jan 2021 21:21:26 +0530

r-cran-markovchain (0.8.5-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Test-Depends: r-cran-rsolnp, r-cran-msm, r-cran-ctmcd

 -- Andreas Tille <tille@debian.org>  Thu, 17 Sep 2020 15:23:02 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                r-cran-rcppparallel,
                r-cran-rcpparmadillo (>= 0.9.600.4.0),
                libtbb-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-markovchain
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-markovchain.git
 Homepage: https://cran.r-project.org/package=markovchain

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-rsolnp, r-cran-msm, r-cran-ctmcd
Restrictions: allow-stderr

## r-cran-markovchain 0.8.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: markovchain
 Type: Package
 Title: Easy Handling Discrete Time Markov Chains
-Version: 0.8.5-4
-Date: 2021-01-07
+Version: 0.8.6
+Date: 2021-05-17
 Authors@R: c(
     person("Giorgio Alfredo", "Spedicato", role = c("aut", "cre"),
       email = "spedicato_giorgio@yahoo.it",comment = c(ORCID = "0000-0002-0315-8888")),
@@ -39,7 +39,7 @@
 URL: https://github.com/spedygiorgio/markovchain/
 RoxygenNote: 7.1.1
 NeedsCompilation: yes
-Packaged: 2021-01-09 15:49:09 UTC; giorgio
+Packaged: 2021-05-17 16:17:53 UTC; giorgio
 Author: Giorgio Alfredo Spedicato [aut, cre]
     (<https://orcid.org/0000-0002-0315-8888>),
   Tae Seung Kang [aut],
@@ -53,4 +53,4 @@
   Daniel Ebbert [ctb] (<https://orcid.org/0000-0003-3666-7205>),
   Shreyash Maheshwari [ctb]
 Repository: CRAN
-Date/Publication: 2021-01-10 17:10:20 UTC
+Date/Publication: 2021-05-17 17:40:02 UTC

=== debian/changelog ===
r-cran-markovchain (0.8.6-1build1) jammy; urgency=medium

  * No-change rebuild for libtbb soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Mar 2022 10:33:19 +0100

r-cran-markovchain (0.8.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 17:14:52 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                r-cran-rcppparallel,
                r-cran-rcpparmadillo (>= 0.9.600.4.0),
                libtbb-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-markovchain
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-markovchain.git
 Homepage: https://cran.r-project.org/package=markovchain

## r-cran-markovchain 0.9.0

=== debian/changelog ===
r-cran-markovchain (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.9.0
  * Versioned dep against tbb so it builds against onetbb

 -- Nilesh Patra <nilesh@debian.org>  Wed, 06 Jul 2022 08:38:54 +0530

r-cran-markovchain (0.8.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.8.9
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 29 May 2022 19:00:00 +0530

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                r-cran-rcpp (>= 1.0.2),
                r-cran-rcppparallel,
                r-cran-rcpparmadillo (>= 0.9.600.4.0),
-               libtbb-dev
-Standards-Version: 4.6.0
+               libtbb-dev (>= 2021.5.0-12~)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-markovchain
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-markovchain.git
 Homepage: https://cran.r-project.org/package=markovchain

## r-cran-markovchain 0.9.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: markovchain
 Type: Package
 Title: Easy Handling Discrete Time Markov Chains
-Version: 0.8.6
-Date: 2021-05-17
+Version: 0.9.1
+Date: 2023-01-20
 Authors@R: c(
     person("Giorgio Alfredo", "Spedicato", role = c("aut", "cre"),
       email = "spedicato_giorgio@yahoo.it",comment = c(ORCID = "0000-0002-0315-8888")),
@@ -23,8 +23,8 @@
     and drawing random variates) and probabilistic (analysis of their structural
     proprieties) analysis are provided. See Spedicato (2017) <doi:10.32614/RJ-2017-036>.
 License: GPL-2
-Depends: R (>= 3.6.0), methods
-Imports: igraph, Matrix, matlab, expm, stats4, parallel, Rcpp (>=
+Depends: R (>= 4.0.0), methods
+Imports: igraph, Matrix (>= 1.5-0), expm, stats4, parallel, Rcpp (>=
         1.0.2), RcppParallel, utils, stats, grDevices
 Suggests: knitr, testthat, diagram, DiagrammeR, msm, Rsolnp, rmarkdown,
         ctmcd, bookdown, rticles
@@ -37,9 +37,9 @@
 Encoding: UTF-8
 BugReports: https://github.com/spedygiorgio/markovchain/issues
 URL: https://github.com/spedygiorgio/markovchain/
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2021-05-17 16:17:53 UTC; giorgio
+Packaged: 2023-01-19 20:22:06 UTC; giorgio
 Author: Giorgio Alfredo Spedicato [aut, cre]
     (<https://orcid.org/0000-0002-0315-8888>),
   Tae Seung Kang [aut],
@@ -53,4 +53,4 @@
   Daniel Ebbert [ctb] (<https://orcid.org/0000-0003-3666-7205>),
   Shreyash Maheshwari [ctb]
 Repository: CRAN
-Date/Publication: 2021-05-17 17:40:02 UTC
+Date/Publication: 2023-01-19 21:00:02 UTC

=== debian/changelog ===
r-cran-markovchain (0.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Bug-Database.

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 09:02:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: r-cran-markovchain
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-markovchain
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-markovchain.git
+Homepage: https://cran.r-project.org/package=markovchain
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-igraph,
-               r-cran-matrix,
-               r-cran-matlab,
+               r-cran-matrix (>= 1.5-0),
                r-cran-expm,
                r-cran-rcpp (>= 1.0.2),
                r-cran-rcppparallel,
                r-cran-rcpparmadillo (>= 0.9.600.4.0),
                libtbb-dev (>= 2021.5.0-12~)
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-markovchain
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-markovchain.git
-Homepage: https://cran.r-project.org/package=markovchain
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-markovchain
 Architecture: any

## r-cran-markovchain 0.9.3

=== debian/changelog ===
r-cran-markovchain (0.9.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 25 Jun 2023 21:37:31 +0200

## r-cran-markovchain 0.9.5

=== debian/changelog ===
r-cran-markovchain (0.9.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 14 Oct 2023 14:23:09 +0200

r-cran-markovchain (0.9.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Lintian-overrides for custom-library-search-path

 -- Andreas Tille <tille@debian.org>  Mon, 04 Sep 2023 13:53:58 +0200

=== debian/control ===
Source: r-cran-markovchain
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-igraph,
               r-cran-matrix (>= 1.5-0),
               r-cran-expm,
               r-cran-rcpp,
               r-cran-rcppparallel,
               r-cran-rcpparmadillo,
               libtbb-dev (>= 2021.5.0-12~)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-markovchain
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-markovchain.git
Homepage: https://cran.r-project.org/package=markovchain
Rules-Requires-Root: no

Package: r-cran-markovchain
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Easy Handling Discrete Time Markov Chains
 Functions and S4 methods to create and manage discrete time Markov
 chains more easily. In addition functions to perform statistical (fitting
 and drawing random variates) and probabilistic (analysis of their structural
 proprieties) analysis are provided.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-testthat,
        r-cran-diagram,
        r-cran-msm,
        r-cran-rsolnp,
        r-cran-rmarkdown,
        r-cran-ctmcd,
        r-cran-bookdown
Restrictions: allow-stderr

## r-cran-markovchain 0.10.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Package: markovchain
 Type: Package
 Title: Easy Handling Discrete Time Markov Chains
-Version: 0.9.1
-Date: 2023-01-20
+Version: 0.10.0
 Authors@R: c(
     person("Giorgio Alfredo", "Spedicato", role = c("aut", "cre"),
       email = "spedicato_giorgio@yahoo.it",comment = c(ORCID = "0000-0002-0315-8888")),
@@ -15,21 +14,23 @@
     person("Toni", "Giorgino", role="ctb", comment = c(ORCID = "0000-0001-6449-0596")),
     person("Richèl J.C.", "Bilderbeek", role = "ctb", comment = c(ORCID = "0000-0003-1107-7049")),
     person("Daniel", "Ebbert", email = "daniel@ebbert.nrw", role = "ctb", comment = c(ORCID = "0000-0003-3666-7205")),
-    person("Shreyash", "Maheshwari", email = "coolshreysh1000@gmail.com", role = "ctb")
+    person("Shreyash", "Maheshwari", email = "coolshreysh1000@gmail.com", role = "ctb"),
+    person("Reinhold", "Koch", role = "ctb")
   )
 Maintainer: Giorgio Alfredo Spedicato <spedicato_giorgio@yahoo.it>
 Description: Functions and S4 methods to create and manage discrete time Markov
     chains more easily. In addition functions to perform statistical (fitting
     and drawing random variates) and probabilistic (analysis of their structural
     proprieties) analysis are provided. See Spedicato (2017) <doi:10.32614/RJ-2017-036>.
-License: GPL-2
-Depends: R (>= 4.0.0), methods
-Imports: igraph, Matrix (>= 1.5-0), expm, stats4, parallel, Rcpp (>=
-        1.0.2), RcppParallel, utils, stats, grDevices
+    Some functions for continuous times Markov chains depend on the suggested ctmcd package.
+License: MIT + file LICENSE
+Depends: R (>= 4.2.0), Matrix (>= 1.5-0), methods
+Imports: igraph, expm, stats4, parallel, Rcpp (>= 1.0.2), RcppParallel,
+        utils, stats, grDevices
 Suggests: knitr, testthat, diagram, DiagrammeR, msm, Rsolnp, rmarkdown,
         ctmcd, bookdown, rticles
 Enhances: etm
-VignetteBuilder: utils, knitr
+VignetteBuilder: rmarkdown, knitr, bookdown, rticles
 LinkingTo: Rcpp, RcppParallel, RcppArmadillo (>= 0.9.600.4.0)
 SystemRequirements: GNU make
 LazyLoad: yes
@@ -37,9 +38,9 @@
 Encoding: UTF-8
 BugReports: https://github.com/spedygiorgio/markovchain/issues
 URL: https://github.com/spedygiorgio/markovchain/
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2023-01-19 20:22:06 UTC; giorgio
+Packaged: 2024-11-13 23:26:14 UTC; Utente
 Author: Giorgio Alfredo Spedicato [aut, cre]
     (<https://orcid.org/0000-0002-0315-8888>),
   Tae Seung Kang [aut],
@@ -51,6 +52,7 @@
   Toni Giorgino [ctb] (<https://orcid.org/0000-0001-6449-0596>),
   Richèl J.C. Bilderbeek [ctb] (<https://orcid.org/0000-0003-1107-7049>),
   Daniel Ebbert [ctb] (<https://orcid.org/0000-0003-3666-7205>),
-  Shreyash Maheshwari [ctb]
+  Shreyash Maheshwari [ctb],
+  Reinhold Koch [ctb]
 Repository: CRAN
-Date/Publication: 2023-01-19 21:00:02 UTC
+Date/Publication: 2024-11-14 00:00:02 UTC

=== debian/changelog ===
r-cran-markovchain (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 03 Mar 2025 15:21:09 +0900

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-matrix (>= 1.5-0),
                r-cran-igraph,
-               r-cran-matrix (>= 1.5-0),
                r-cran-expm,
                r-cran-rcpp,
                r-cran-rcppparallel,
                r-cran-rcpparmadillo,
                libtbb-dev (>= 2021.5.0-12~)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-markovchain
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-markovchain.git
 Homepage: https://cran.r-project.org/package=markovchain

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-testthat,
        r-cran-msm,
        r-cran-rsolnp,
        r-cran-rmarkdown,
        r-cran-ctmcd,
        r-cran-bookdown,
        r-cran-diagram
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/markovchain_([-\d.]*)\.tar\.gz

## r-cran-markovchain 0.10.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: markovchain
 Type: Package
 Title: Easy Handling Discrete Time Markov Chains
-Version: 0.10.0
+Version: 0.10.3
 Authors@R: c(
     person("Giorgio Alfredo", "Spedicato", role = c("aut", "cre"),
       email = "spedicato_giorgio@yahoo.it",comment = c(ORCID = "0000-0002-0315-8888")),
@@ -28,7 +28,7 @@
 Imports: igraph, expm, stats4, parallel, Rcpp (>= 1.0.2), RcppParallel,
         utils, stats, grDevices
 Suggests: knitr, testthat, diagram, DiagrammeR, msm, Rsolnp, rmarkdown,
-        ctmcd, bookdown, rticles
+        ctmcd, bookdown, rticles, MCMCpack, microbenchmark
 Enhances: etm
 VignetteBuilder: rmarkdown, knitr, bookdown, rticles
 LinkingTo: Rcpp, RcppParallel, RcppArmadillo (>= 0.9.600.4.0)
@@ -38,21 +38,23 @@
 Encoding: UTF-8
 BugReports: https://github.com/spedygiorgio/markovchain/issues
 URL: https://github.com/spedygiorgio/markovchain/
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 NeedsCompilation: yes
-Packaged: 2024-11-13 23:26:14 UTC; Utente
-Author: Giorgio Alfredo Spedicato [aut, cre]
-    (<https://orcid.org/0000-0002-0315-8888>),
+Packaged: 2026-02-01 17:45:30 UTC; Utente
+Author: Giorgio Alfredo Spedicato [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-0315-8888>),
   Tae Seung Kang [aut],
   Sai Bhargav Yalamanchi [aut],
-  Mildenberger Thoralf [ctb] (<https://orcid.org/0000-0001-7242-1873>),
+  Mildenberger Thoralf [ctb] (ORCID:
+    <https://orcid.org/0000-0001-7242-1873>),
   Deepak Yadav [aut],
-  Ignacio Cordón [aut] (<https://orcid.org/0000-0002-3152-0231>),
+  Ignacio Cordón [aut] (ORCID: <https://orcid.org/0000-0002-3152-0231>),
   Vandit Jain [ctb],
-  Toni Giorgino [ctb] (<https://orcid.org/0000-0001-6449-0596>),
-  Richèl J.C. Bilderbeek [ctb] (<https://orcid.org/0000-0003-1107-7049>),
-  Daniel Ebbert [ctb] (<https://orcid.org/0000-0003-3666-7205>),
+  Toni Giorgino [ctb] (ORCID: <https://orcid.org/0000-0001-6449-0596>),
+  Richèl J.C. Bilderbeek [ctb] (ORCID:
+    <https://orcid.org/0000-0003-1107-7049>),
+  Daniel Ebbert [ctb] (ORCID: <https://orcid.org/0000-0003-3666-7205>),
   Shreyash Maheshwari [ctb],
   Reinhold Koch [ctb]
 Repository: CRAN
-Date/Publication: 2024-11-14 00:00:02 UTC
+Date/Publication: 2026-02-02 06:30:37 UTC

=== debian/changelog ===
r-cran-markovchain (0.10.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 12 Feb 2026 21:49:01 +0900

=== debian/control ===
Source: r-cran-markovchain
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Steffen Moeller <moeller@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-matrix,
 r-cran-igraph,
 r-cran-expm,
 r-cran-rcpp,
 r-cran-rcppparallel,
 r-cran-rcpparmadillo,
 libtbb-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-markovchain
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-markovchain.git
Homepage: https://cran.r-project.org/package=markovchain
Rules-Requires-Root: no

Package: r-cran-markovchain
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Easy Handling Discrete Time Markov Chains
 Functions and S4 methods to create and manage discrete time Markov
 chains more easily. In addition functions to perform statistical (fitting
 and drawing random variates) and probabilistic (analysis of their structural
 proprieties) analysis are provided.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-knitr,
 r-cran-testthat,
 r-cran-diagram,
 r-cran-diagrammer,
 r-cran-msm,
 r-cran-rsolnp,
 r-cran-rmarkdown,
 r-cran-ctmcd,
 r-cran-bookdown,
 r-cran-mcmcpack,
 r-cran-microbenchmark,
